/*#############################################################################
  # Copyright (c) 2010 Giovanni "Raptor" Pessiva <giovanni.pessiva@gmail.com> #
  # This program is free software: you can redistribute it and/or modify      #
  # it under the terms of the GNU General Public License version 3            #
  # as published by the Free Software Foundation.                             #
  #############################################################################*/
#ifndef PARSEDFILE_H
#define PARSEDFILE_H

#include <QFileInfo>

class ParsedFile : public QString
{
public:
    ParsedFile(const QFileInfo &fileinfo);
    QString getPattern();
    QList<QString> *getProcedure(QString newName);
    QString *applyProcedure(QList<QString> *proc);

private:
    enum tokenType
    {
        string,
        number,
        separator
    };

    QList<QString *> *m_list;

    QList<QString *> *parse(QString name);
    //bool lastPartMatch(QList<QString> *proc,QList<QString>::iterator i,int pos);
};

#endif // PARSEDFILE_H
