/*#############################################################################
  # Copyright (c) 2010 Giovanni "Raptor" Pessiva <giovanni.pessiva@gmail.com> #
  # This program is free software: you can redistribute it and/or modify      #
  # it under the terms of the GNU General Public License version 3            #
  # as published by the Free Software Foundation.                             #
  #############################################################################*/
#include "preview.h"
#include <QDebug>

Preview::Preview(QList<ParsedFile> *list,QList<QString> *namesList,QWidget *parent) :
    QDialog(parent)
{
    for(QList<ParsedFile>::iterator i=list->begin();    i!=list->end();  i++)
        m_oldList <<(ParsedFile) *i;

    m_oldView.setModel(new QStringListModel(m_oldList));
    m_newView.setModel(new QStringListModel(*namesList));

    m_lists=new QBoxLayout(QBoxLayout::LeftToRight);
    m_lists->addWidget(&m_oldView);
    m_lists->addWidget(&m_newView);

    m_ok=new QPushButton(tr("Ok"));
    m_ok->setDefault(true);
    m_manual=new QPushButton(tr("Seleziona manualmente"));
    m_cancel=new QPushButton(tr("Annulla"));
    m_buttons=new QBoxLayout(QBoxLayout::LeftToRight);
    m_buttons->addWidget(m_ok);
    m_buttons->addWidget(m_manual);
    m_buttons->addWidget(m_cancel);

    QObject::connect(m_ok, SIGNAL(clicked()),
                     this, SLOT(on_okButton_clicked()));

    QObject::connect(m_manual, SIGNAL(clicked()),
                     this, SLOT(on_manualButton_clicked()));

    QObject::connect(m_cancel, SIGNAL(clicked()),
                     this, SLOT(on_cancelButton_clicked()));

    /*
    QObject::connect(m_oldView.verticalScrollBar(), SIGNAL(sliderMoved(int)),
                     this, SLOT(on_scrollbar_moved(int)));
    */

    setLayout(new QBoxLayout(QBoxLayout::TopToBottom));
    ((QBoxLayout *) layout())->addLayout(m_lists);
    ((QBoxLayout *) layout())->addLayout(m_buttons);
}

void Preview::on_okButton_clicked()
{
    done(QDialog::Accepted);
}

void Preview::on_manualButton_clicked()
{
    done(2);
}

void Preview::on_cancelButton_clicked()
{
    done(QDialog::Rejected);
}

void on_scrollbar_moved(int value)
{


}
