/*#############################################################################
  # Copyright (c) 2010 Giovanni "Raptor" Pessiva <giovanni.pessiva@gmail.com> #
  # This program is free software: you can redistribute it and/or modify      #
  # it under the terms of the GNU General Public License version 3            #
  # as published by the Free Software Foundation.                             #
  #############################################################################*/
#ifndef PREVIEW_H
#define PREVIEW_H

#include "parsedfile.h"
#include <QList>
#include <QString>
#include <QDialog>
#include <QBoxLayout>
#include <QPushButton>
#include <QListView>
#include <QStringList>
#include <QStringListModel>

class Preview : public QDialog
{
    Q_OBJECT
public:
    explicit Preview(QList<ParsedFile> *list,QList<QString> *namesList,QWidget *parent = 0);

private:
    QBoxLayout *m_lists;
    QBoxLayout *m_buttons;
    QPushButton *m_ok;
    QPushButton *m_manual;
    QPushButton *m_cancel;

    QList<QString> m_oldList;
    QListView m_oldView;
    QListView m_newView;

private slots:
    void on_okButton_clicked();
    void on_manualButton_clicked();
    void on_cancelButton_clicked();
    //void on_scrollbar_moved(int value);

};

#endif // PREVIEW_H
